Skip to content
This repository

This hosts the 0.4.x code of polymer.dart package. See link for how to update.

README.md

Web UI

Web UI lets you build web apps as if you had a browser from the future. You can use the cool new web technologies like Web Components, and features like dynamic templates and live data binding inspired by Model Driven Views and Dart today. Build apps easily using HTML as your template language, express your application's components in HTML, and synchronize your data automatically between Dart and your components.

We believe that:

  • Web Components and MDV are on their way, we should start using them now.
  • Cool new features should be made available to modern browsers that haven't yet implemented them.
  • Write/reload is just as important as write/compile/minimize/ship.
  • Working in open source is the way to go.
  • Developers from all backgrounds should be building awesome modern web apps.

Build Status

Try It Now

Add the Web UI package to your pubspec.yaml file:

dependencies:
  web_ui: any

Instead of using any, we recommend using version ranges to avoid getting your project broken on each release. Using a version range lets you upgrade your package at your own pace:

dependencies:
  web_ui: ">=0.4.8 <0.4.9"

We update versions within the range when we release small bug fixes. For instance, 0.4.8+1 is considered a non-breaking change. We change versions outside of the range when we introduce a breaking change. See our changelog to find the version that works best for you.

Learn More

See our TodoMVC example running. Read the README.md in example/todomvc for more details.

Running Tests

Dependencies are installed using the Pub Package Manager.

pub install

# Run command line tests and automated end-to-end tests. It needs two
# executables on your path: `dart` and `content_shell` (see below
# for links to download `content_shell`)
test/run.sh

Note: to run browser tests you will need to have content_shell, which can be downloaded prebuilt for Ubuntu Lucid, Windows, or Mac. You can also build it from the Dartium and content_shell sources.

For Linux users all the necessary fonts must be installed see https://code.google.com/p/chromium/wiki/LayoutTestsLinux

Contacting Us

Please file issues in our Issue Tracker or contact us on the Dart Web UI mailing list.

We also have the Web UI development list for discussions about internals of the code, code reviews, etc.

Something went wrong with that request. Please try again.